## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check

%global crate sha1collisiondetection

Name:           rust-sha1collisiondetection
Version:        0.2.6
Release:        %autorelease
Summary:        SHA-1 hash function with collision detection and mitigation

License:        MIT
URL:            https://crates.io/crates/sha1collisiondetection
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Manually created patch for downstream crate metadata changes
# * exclude some files that are only useful for upstream development
Patch:          sha1collisiondetection-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
SHA-1 hash function with collision detection and mitigation.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
License:        MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc MAINTENANCE.md
%doc README.md
%{_bindir}/sha1cdsum

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/MAINTENANCE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages which
use the "digest" feature of the "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-trait-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-trait-devel %{_description}

This package contains library source intended for building other packages which
use the "digest-trait" feature of the "%{crate}" crate.

%files       -n %{name}+digest-trait-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha-1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha-1-devel %{_description}

This package contains library source intended for building other packages which
use the "sha-1" feature of the "%{crate}" crate.

%files       -n %{name}+sha-1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+structopt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+structopt-devel %{_description}

This package contains library source intended for building other packages which
use the "structopt" feature of the "%{crate}" crate.

%files       -n %{name}+structopt-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp -pav %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 0.2.6-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 30 2022 Fabio Valentini <decathorpe@gmail.com> 0.2.6-1
- Update to version 0.2.6; Fixes RHBZ#2122032

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.2.5-2
- Rebuild with package notes

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> 0.2.5-1
- Update to version 0.2.5; Fixes RHBZ#2025553

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 20 2021 Fabio Valentini <decathorpe@gmail.com> 0.2.4-1
- Update to version 0.2.4; Fixes RHBZ#2024123

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Initial package

